.navbar-toggler{
	margin:0;
	padding: 0;
}

button:focus{
	outline: none;
}

#header {
	&.fixed {
		position: fixed;
		top: 0;
		left: 0;
		right: 0;
		z-index: 1030;
		

		.navbar{
			background-color: #ffffff;
			padding: 20px;
			max-width: 1440px;
			margin: 0 auto;
			border-bottom: 1px solid rgba(255, 255, 255, 0.15);
			transition: all 0.3s ease-in-out;

			@include media-breakpoint-up(lg) {
				background-color: transparent;
				padding: 0;
			}
		}

		&.scrolled {
			&.awake {
				@include media-breakpoint-up(lg) {
					-webkit-transform: translateY(0%);
					-ms-transform: translateY(0%);
					transform: translateY(0%);

					.navbar{
						border: none;
						background: #ffffff !important;
						box-shadow: 0px 4px 15px rgba(0, 0, 0, 0.05);

						a{
							color: #000000;
						}

						#language {
							li{
								a{
									background: #F5F5F5;
								}

								img{
									width: 0;
									visibility: hidden;
									opacity:0;

									&.img_bl{
										width: auto;
										visibility: visible;
										opacity:1;
									}
								}
							}
						}
					}
				}
			}

			&.sleep{
				.navbar{
					@include media-breakpoint-up(lg) {
						-webkit-transform: translateY(-90%);
						-ms-transform: translateY(-90%);
						transform: translateY(-90%);
						background: #00C2FF !important;
					}

					a{
						&:after {
							display: none;
						}
					}
				}
			}
		}
	}

	.navbar{
		&.active{
			#main-menu{
				.navbar-toggler-icon{
					&:after{
						-ms-transform: rotate(45deg); /* IE 9 */
						-webkit-transform: rotate(45deg); /* Safari prior 9.0 */
						transform: rotate(45deg);
						opacity:1;
					}

					&:before{
						-ms-transform: rotate(-45deg); /* IE 9 */
						-webkit-transform: rotate(-45deg); /* Safari prior 9.0 */
						transform: rotate(-45deg);
						opacity:1;
					}
				}

				img{
					-ms-transform: scaleX(0); /* IE 9 */
					-webkit-transform: scaleX(0); /* Safari prior 9.0 */
					transform: scaleX(0); /* Standard syntax */
				}
			}
		}


		.navbar-brand{
			padding: 0;
			margin: 0;
			line-height: 60px;

			img.logo{
				max-width: 230px;
				height: auto;
				display: none;

				@include media-breakpoint-up(md) {
					padding-left: 0;
					max-width: 369px;
				}

				@include media-breakpoint-up(lg) {
					max-width: 300px;
				}

				@include media-breakpoint-up(xl) {
					max-width: 369px;
				}
			}
		}

		ul{
			li{
				a{
					padding: 0 8px;
					display: inherit;
					line-height: 60px;
					font-size: 14px;
					color: #000000;
					position: relative;
					transition: 0.3s all ease;
					text-align: center;
					
					@include media-breakpoint-up(lg) {
						display: block;
						color: #ffffff;
					}

					&:before {
						display: block;
						content: attr(title);
						font-weight: 800;
						height: 0;
						overflow: hidden;
						visibility: hidden;
					}
				}
			}
		}

		ul.navbar-nav{
			li{
				text-align: center;
				padding-top: 30px;

				@include media-breakpoint-up(lg) {  
					padding-top: 0;
				}

				&.active, &:hover{
					 a {
						color: #000000;
						font-weight: 800;

						@include media-breakpoint-up(lg) {
							color: #ffffff;
						}

						&:after{

							@include media-breakpoint-up(lg) {
								bottom: 0px;
								background-color: #ffffff;
								-ms-transform: scaleX(1); /* IE 9 */
								-webkit-transform: scaleX(1); /* Safari prior 9.0 */
								transform: scaleX(1); /* Standard syntax */
								-webkit-transition: 0.5s; /* Safari prior 6.1 */
								transition: 0.5s;
							}
						}
					 }
				}

				a:after{
					content : "";
					width: 100%;
					height: 3px;
					background-color: #ffffff;
					position: absolute;
					bottom: -5px;
					right: 0;
					-ms-transform: scaleX(0); /* IE 9 */
					-webkit-transform: scaleX(0); /* Safari prior 9.0 */
					transform: scaleX(0); /* Standard syntax */

					@include media-breakpoint-up(lg) {
						bottom: 0;
					}
				}
			}

			li+li{
				padding-top: 0;

				@include media-breakpoint-up(lg) {
					margin-left: 15px;
				}

				@include media-breakpoint-up(xl) {
					margin-left: 35px;
				}
			}
		}

		ul#language{
			position: relative;
			margin: 0;
			padding: 0;
			list-style-type: none;

			@include media-breakpoint-up(lg) {
				margin-left: 30px;
				padding: 0;
			}

			@include media-breakpoint-up(xl) {
				margin-left: 50px;
			}

			li{
				text-align: center;
				a{
					font-size: 16px;
					font-weight: 700;
					padding: 0 8px;
					position: relative;

					@include media-breakpoint-up(lg) {
						width: 60px;
						background-color: rgba(255, 255, 255, 0.1);
					}

					span{
						padding-left: 10px;
					}
					&:before {
						display: none;
					}
				}

				&:hover{
					a{
						@include media-breakpoint-up(lg) {
							opacity: 0.6;
						}
					}
				}

				img{
					&.img_bl{
						width: 0;
						visibility: hidden;
						opacity:0;
					}
				}
			}

			li.active{
				display: block;
			}

			li.under{
				opacity:0 !important;
				-webkit-transition: 0.3s; /* Safari prior 6.1 */
				transition: 0.3s;
				height: 0px;

				&.is_active{
					opacity:1 !important;
					-webkit-transition: 0.2s; /* Safari prior 6.1 */
					transition: 0.2s;
					height: 60px;
				}

				a{
					@include media-breakpoint-up(lg) {
						background-color: #fff !important;
						color: #000;
						box-shadow: 0px 4px 15px rgba(0, 0, 0, 0.05);
					}
				}

				&:hover{
					a{
						@include media-breakpoint-up(lg) {
							opacity :1;
							background-color: #A4A4A4 !important;
						}
					}
				}

				@include media-breakpoint-up(lg) {
					position: absolute;
					top: 100%;
					right: 0;
				}

				@include media-breakpoint-up(xl) {
					top: 102%;
				}
			}
		}

		.icon-language{
			height: 25px;
			width: 25px;
			border-radius: 50%;
			overflow: hidden;
			margin-top: 2px;

			img{
				width: 100%;
				height: 100%;
				display: block;
			}
		}
	}
}



#main-menu{
	position: relative;
	
	.navbar-toggler-icon{
		&:after{
			content:"";
			height: 3px;
			width: 28px;
			background-color: #3A30A3;
			position: absolute;
			top: 12px;
			right: 1px;
			opacity:0;
			-webkit-transition: 0.4s; /* Safari prior 6.1 */
			transition: 0.4s;
		}

		&:before{
			content:"";
			height: 3px;
			width: 28px;
			background-color: #3A30A3;
			position: absolute;
			top: 12px;
			right: 1px;
			opacity:0;
			-webkit-transition: 0.4s; /* Safari prior 6.1 */
			transition: 0.4s;
		}
	}

	img{
		-ms-transform: scaleX(1); /* IE 9 */
		-webkit-transform: scaleX(1); /* Safari prior 9.0 */
		transform: scaleX(1); /* Standard syntax */
		-webkit-transition: 0.4s; /* Safari prior 6.1 */
		transition: 0.4s;
	}
}